org.apache.fop.pdf

## Class StreamCacheFactory

- java.lang.Object
- - org.apache.fop.pdf.StreamCacheFactory

    public final class StreamCacheFactory
    extends Object

This class is serves as a factory from

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`StreamCache` `createStreamCache()` Get the correct implementation (based on cacheToFile) of StreamCache.
`StreamCache` `createStreamCache(int hintSize)` Get the correct implementation (based on cacheToFile) of StreamCache.
`static StreamCacheFactory` `getInstance()` Returns an instance of a StreamCacheFactory with the requested features.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static StreamCacheFactory getInstance()

Returns an instance of a StreamCacheFactory with the requested features.

Returns:
  StreamCacheFactory the requested factory

#### createStreamCache

    public StreamCache createStreamCache()
                                  throws IOException

Get the correct implementation (based on cacheToFile) of StreamCache.

Returns:
  a new StreamCache for caching streams
Throws:
  `IOException` - if there is an IO error

#### createStreamCache

    public StreamCache createStreamCache(int hintSize)
                                  throws IOException

Get the correct implementation (based on cacheToFile) of StreamCache.

Parameters:
  `hintSize` - a hint about the approximate expected size of the buffer
Returns:
  a new StreamCache for caching streams
Throws:
  `IOException` - if there is an IO error